Package org.mozilla.javascript.tools.shell

## Class ShellLine

- java.lang.Object
- - org.mozilla.javascript.tools.shell.ShellLine

-     @Deprecated
      public class ShellLine
      extends java.lang.Object

  Deprecated.
  Provides a specialized input stream for consoles to handle line editing, history and completion. Relies on the JLine library (see http://jline.sourceforge.net).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShellLine()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.io.InputStream` | `getStream​(Scriptable scope)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShellLine

          public ShellLine()

      Deprecated.

  - ### Method Detail

    - #### getStream

          @Deprecated
          public static java.io.InputStream getStream​(Scriptable scope)

      Deprecated.